import { b as BaseIconProps } from './BaseIcon-DgSOiwGX.js';
export { B as BaseIcon, a as BaseIconComponent, I as IconVariant } from './BaseIcon-DgSOiwGX.js';
import React from 'react';

declare const Battery0: React.FC<BaseIconProps>;

declare const Battery100: React.FC<BaseIconProps>;

declare const Battery30: React.FC<BaseIconProps>;

declare const Battery60: React.FC<BaseIconProps>;

declare const BatteryCharging: React.FC<BaseIconProps>;

declare const Bluetooth: React.FC<BaseIconProps>;

declare const Camera: React.FC<BaseIconProps>;

declare const ComputerMouse: React.FC<BaseIconProps>;

declare const Controller: React.FC<BaseIconProps>;

declare const ControllerAlt: React.FC<BaseIconProps>;

declare const Earphones: React.FC<BaseIconProps>;

declare const ElectricalPlug: React.FC<BaseIconProps>;

declare const FlashDrive: React.FC<BaseIconProps>;

declare const Headset: React.FC<BaseIconProps>;

declare const Key: React.FC<BaseIconProps>;

declare const Keyboard: React.FC<BaseIconProps>;

declare const Laptop: React.FC<BaseIconProps>;

declare const LightBulb: React.FC<BaseIconProps>;

declare const Lightning: React.FC<BaseIconProps>;

declare const Microchip: React.FC<BaseIconProps>;

declare const Mobile: React.FC<BaseIconProps>;

declare const Modem: React.FC<BaseIconProps>;

declare const Monitor: React.FC<BaseIconProps>;

declare const Printer: React.FC<BaseIconProps>;

declare const Sd: React.FC<BaseIconProps>;

declare const SignalLevel100: React.FC<BaseIconProps>;

declare const SignalOff: React.FC<BaseIconProps>;

declare const Sim: React.FC<BaseIconProps>;

declare const SmartWatch: React.FC<BaseIconProps>;

declare const Speakers: React.FC<BaseIconProps>;

declare const Tablet: React.FC<BaseIconProps>;

declare const WiFi: React.FC<BaseIconProps>;

declare const WiFiOff: React.FC<BaseIconProps>;

export { BaseIconProps, Battery0, Battery100, Battery30, Battery60, BatteryCharging, Bluetooth, Camera, ComputerMouse, Controller, ControllerAlt, Earphones, ElectricalPlug, FlashDrive, Headset, Key, Keyboard, Laptop, LightBulb, Lightning, Microchip, Mobile, Modem, Monitor, Printer, Sd, SignalLevel100, SignalOff, Sim, SmartWatch, Speakers, Tablet, WiFi, WiFiOff };
